Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class ValueRecorder

- org.codehaus.groovy.runtime.powerassert.ValueRecorder

-     public class ValueRecorder
      extends Object

  Records values produced during evaluation of an assertion statement's truth expression.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public List<Value>` | `getValues()`
    `` | `public Object` | `record(Object value, int anchor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public void clear()

    - #### public List<Value> getValues()

    - #### public Object record(Object value, int anchor)